import { shouldPatchAccessTokenMerkleTree as e } from "./shouldPatchAccessTokenMerkleTree.mjs";
import { getSignatureDataForTransact as t } from "./getSignatureDataForTransact.mjs";
//#region libs/shared/common/src/functions/pre-transaction/getKycAndSignatureData.ts
var n = async (n, r, i, a, o) => {
	let { patchAccessTokenMerkleTree: s, kycRequired: c, hasAccessToken: l } = await e(n, r, i, a);
	return {
		patchAccessTokenMerkleTree: s,
		signatureData: await t(r, o, n.userKeys, c, l)
	};
};
//#endregion
export { n as getKycAndSignatureData };
